Jifty::Plugin::Prototypism(3)

NAME
Jifty::Plugin::Prototypism - Provide Prototype and Scriptaculous js libraries

SYNOPSIS
# In your jifty config.yml under the framework section:

  Plugins:
    - Prototypism
        cdn: 'http://yourcdn.for.static.prefix/'

DESCRIPTION
This module provides the Prototype and Scriptaculous javascript libraries to your application. Jifty used to rely on these libraries, so this plugin may be automatically added to your application's plugins if you upgrade from an older version of Jifty. It is safe to remove if your application does not use Prototype or Scriptaculous javascript code, however.

METHODS

  init
On initialization, adds Jifty compatibility methods if the configuration file version is before 4.